#
# spec file for package python-validators
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-validators
Version:        0.12.4
Release:        lp151.1.1
Summary:        Python Data Validation
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/kvesteri/validators
Source:         https://files.pythonhosted.org/packages/source/v/validators/validators-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module decorator >= 3.4.0}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module six >= 1.4.0}
# /SECTION
Requires:       python-decorator >= 3.4.0
Requires:       python-six >= 1.4.0
BuildArch:      noarch

%python_subpackages

%description
Python Data Validation for Humans.

%prep
%setup -q -n validators-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand py.test-%{$python_bin_suffix} 

%files %{python_files}
%doc CHANGES.rst README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Mar 29 2019 pgajdos@suse.com
- version update to 0.12.4
  * Use inspect.getfullargspec() in py3
  * Added `allow_temporal_ssn` parameter to fi_ssn validator
  * Remove py33 support
  * Fixed IPv4 formatted IP address returning True on ipv6
  * Fixed IPv6 address parsing
  * Fixed domain validator for international domains and certain
    edge cases
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu May 24 2018 toddrme2178@gmail.com
- Run tests
- Spec file cleanups
* Tue Jan 30 2018 9+suse@cirno.systems
- Update to 0.12.1
  * Fixed IDNA encoded TLDs in domain validator
  * Fixed URL validator for URLs with invalid characters in
    userinfo part
- Use %%license macro
- Remove superfluous service
* Fri Oct 27 2017 9@cirno.systems
- Convert package to singlespec
- Add download _service
- Update to 0.12.0
  * 0.8.0 (2015-06-24)
    + Added new validator: iban
  * 0.9.0 (2015-10-10)
    + Added new validator: domain
  * 0.10.0 (2016-01-09)
    + Added support for internationalized domain names in
    domain validator
  * 0.10.1 (2016-04-09)
    + Fixed domain name validation for numeric domain names
    + Fixed IBAN validation for Norwegian and Belgian IBANs
  * 0.10.2 (2016-06-11)
    + Fixed various URL validation issues
  * 0.10.3 (2016-06-13)
    + Added public parameter to url validator
  * 0.11.0 (2016-08-30)
    + Fixed public url validation
    + Made URL validator case insensitive
    + Drop Python 2.6 support
  * 0.11.1 (2016-11-19)
    + Fixed pyp2rpm build problem
  * 0.11.2 (2017-01-08)
    + Fixed URL validator for urls with query parameters but
    without path
  * 0.11.3 (2017-03-27)
    + Fixed URL validator for URLs containing localhost
  * 0.12.0 (2017-06-03)
    + Added hash validators for md5, sha1, sha224, sha256
    and sha512
    + Made ipv6 validator support IPv4-mapped IPv6 addresses
* Mon Apr  6 2015 prusnak@opensuse.org
- created package (version 0.7)
